Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface StreamIDFactory

All Known Implementing Classes:
  AuditStreamIDFactory, BasicStreamIDFactory

    public interface StreamIDFactory

Generates stream ids in different ways depending on the server set up.

Author:
  Iain Shigeoka

Method Summary
`StreamID` | `createStreamID()` Generate a stream id.

Method Detail

### createStreamID

    StreamID createStreamID()

  Generate a stream id.

  Returns:
    A new, unique stream id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.